use utf8;

## Checks if a tweet is relevant to Egyptian politics or not based on predefined query set
sub IsEgyptPolitics(){
my $txt = shift;
#مرشحون
if($txt =~ /مرسي /
|| $txt =~ /رئيس مصر/
|| $txt =~ /ابو *الفتوح/
|| $txt =~ /حمدين/
|| $txt =~ /شفيق /
|| $txt =~ /عمرو موسي/
|| $txt =~ / العوا /){
	return 1;
}
#احزاب
elsif($txt =~ /الحريه والعداله/
   || $txt =~ /حزب النور/
   || $txt =~ /حزب الرايه/
   || $txt =~ /حزب الوطن/
   || $txt =~ /حزب الاصاله/
   || $txt =~ /حزب الفضيله/
   || $txt =~ /حزب الامه/
   || $txt =~ /مصر القويه/
   || $txt =~ /حزب الدستور/
   || $txt =~ /حزب العدل/
   || $txt =~ /حزب الوفد/
   || $txt =~ /حزب الغد/
   || $txt =~ /حزب غد الثوره/
   || $txt =~ /حزب البناء والتنميه/
   || $txt =~ /حزب الكرامه/){
	return 2;
}
#اعلام
elsif($txt =~ /البلتاجي/
   || $txt =~ /الكتاتني/
   || $txt =~ /عصام العريان/
   || $txt =~ /محمود غزلان/
   || $txt =~ /محمد بديع/
   || $txt =~ /حلمي الجزار/
   || $txt =~ /حسن البرنس/
   || $txt =~ /خيرت الشاطر/
   || $txt =~ /نادر بكار/
   || $txt =~ /البرادعي/
   || $txt =~ /حمزاوي/
   || $txt =~ /البوب /
   || $txt =~ /ابو *اسماعيل/
   || $txt =~ /الشيخ حازم/
   || $txt =~ /عصام سلطان/
   || $txt =~ /محمد محسوب/
   || $txt =~ /ابو *العلا ماضي/
   || $txt =~ /ايمن نور/
   || $txt =~ /وائل غنيم/
   || $txt =~ /اسلام لطفي/
   || $txt =~ /عبد *الرحمن يوسف/
   || $txt =~ /جميله اسماعيل/
   || $txt =~ /حازم عبد *العظيم/
   || $txt =~ /سا*ويرس /
   || $txt =~ /مصطفي النجار/){
	return 3;
}
#حركات
elsif($txt =~ /جبهه انقاذ مصر/
   || $txt =~ /جبهه الانقاذ/ 
   || $txt =~ /مصرنا /
   || $txt =~ /حازمون/
   || $txt =~ /6 ابريل/
   || ($txt =~ /الاخوان/ && ($txt =~ /مرشد/ || $txt =~ /زيت/ || $txt =~ /مصر/))){
	return 4;
}
#اعلاميين
elsif($txt =~ /عمرو* اديب/
   || $txt =~ /عماد اديب/
   || $txt =~ /لميس الحديدي/
   || $txt =~ /الابراشي/
   || $txt =~ /محمود سعد/
   || $txt =~ /خالد عبد *الله/
   || $txt =~ /مني الشاذلي/
   || $txt =~ /بلال فضل/
   || $txt =~ /ابراهيم عيسي/
   || $txt =~ /ابو *حمالات/
   || $txt =~ /عمرو خفاجي/
   || $txt =~ /جابر القرموطي/
   || $txt =~ /يسري فوده/
   || $txt =~ /ريم ماجد/
   || $txt =~ /توفيق عكاشه/
   || $txt =~ /مجدي الجلاد/
   || $txt =~ /خالد صلاح/
   || $txt =~ /الاسواني/
   || $txt =~ /عمرو* ال+يثي/
   || $txt =~ /باسم يوسف/){
	return 5;
}
#وزراء
elsif($txt =~ /هشام قنديل/
   || $txt =~ /رئيس الوزراء المصري/
   || $txt =~/السيسي/
   || $txt =~/باسم عوده/
   || $txt =~/حاتم صالح/
   || ($txt =~ /مصر / && ($txt =~/وزاره/ || $txt =~/وزير/))){
	return 6;
}
return 0;
}

## Checks of a tweet contains a mention to a popular Egyptian entity or not
sub IsEgyptPoliticAccount(){
my $txt = shift;
#accounts
if($txt =~ /ElBaradei/i
|| $txt =~ /HamzawyAmr/i
|| $txt =~ /MuhammadMorsi/i
|| $txt =~ /KandilHesham/i
|| $txt =~ /DrAbolfotoh/i
|| $txt =~ /HamdeenSabahy/i
|| $txt =~ /M_Elktatny/i
|| $txt =~ /EssamAlErian/i
|| $txt =~ /khairatAlshater/i
|| $txt =~ /DrBassemYoussef/i
|| $txt =~ /FJparty/i
|| $txt =~ /eldostourparty/i
|| $txt =~ /MisrAlQawia/i
|| $txt =~ /naderbakkar/i
|| $txt =~ /‏Essam_Sultan/i
|| $txt =~ /HamzawyAmr/i
|| $txt =~ /shabab6april/i){
	return 1;
}
return 0;
}

## Checks if a tweet is relevant to Syrian politics or not based on predefined query set
sub IsSyriaPolitics(){
my $txt = shift;
#اماكن
if($txt =~ /دمشق /
|| $txt =~ /سوريه /
|| $txt =~ /حماه /
|| ($txt =~ /القصير / && ($txt =~ /قصف/ || $txt =~ /معركه/ || $txt =~ /مجزره/ || $txt =~ /هيله/))
|| $txt =~ / و*حلب /
|| $txt =~ /ادلب /
|| $txt =~ /عربين /
|| $txt =~ /ديرالزور/
|| $txt =~ / داريا /
|| $txt =~ /الحوله /
|| $txt =~ /كويرس /
|| $txt =~ /تلبيسه /
|| $txt =~ /تفتناز /
|| $txt =~ /المعضميه /){
	return 1;
}

#منظمات
elsif($txt =~ /الجيش[ _]الحر/ || $txt =~ /الجيش[ _]السوري[ _]الحر/
   || $txt =~ /شبيح/
   || $txt =~ /لواء[ _]الاسلام/
   || $txt =~ /جبهه[ _]النصره/
   || $txt =~ /المعارضه[ _]السوري/
   || $txt =~ /المجلس[ _]الوطني[ _]السوري/
   || $txt =~ /كتائب[ _]الصحابه/
   || $txt =~ /انصار[ _]الشام/){
	return 2;
}

#اشخاص
elsif($txt =~ /بشار /
   || ($txt =~ /الاسد / && ($txt =~ /ماهر/ || $txt =~ /جميل/ || $txt =~ /حافظ/))
   || $txt =~ /البوطي/
   || $txt =~ /هيثم المالح/
   || $txt =~ /علي مملوك/
   || $txt =~ /سليم ادريس/
   || $txt =~ /احمد معاذ الخطيب/
   || $txt =~ /شريف شحاده/
   || $txt =~ /مناف طلاس/
   || $txt =~ /رياض الاسعد/
   || $txt =~ /صفوت الزيات/
   || $txt =~ /مصطفى الشيخ/){
	return 3;
}
return 0;
}

## Checks of a tweet contains a mention to a popular Syrian entity or not
sub IsSyriaPoliticAccount(){
my $txt = shift;
#accounts
if($txt =~ /\@Yathalema/
|| $txt =~ /\@SyriaTweet/
|| $txt =~ /\@KuwWithSyria/
|| $txt =~ /\@Syria_AlHadath/
|| $txt =~ /\@bashar__asad/
|| $txt =~ /\@syria7ra/
|| $txt =~ /\@newssyrev/
|| $txt =~ /\@shaamnews/
|| $txt =~ /\@Syria_Breaking/
|| $txt =~ /\@ikhwanSyria/
|| $txt =~ /\@Ugarit_News/
|| $txt =~ /\@syria_alaan/
|| $txt =~ /\@LccSy/
|| $txt =~ /\@AlArabiya_SY/
|| $txt =~ /\@ANN_Syria/
|| $txt =~ /\@SyRevEye/
|| $txt =~ /\@shahed_3ayan/
|| $txt =~ /\@OrientNet/
|| $txt =~ /\@OmawiLive/
|| $txt =~ /\@Syria_Mubasher/
|| $txt =~ /\@RevolutionSyria/
|| $txt =~ /\@4__SYRIA/
|| $txt =~ /\@Syria_Horra/
|| $txt =~ /\@SyriaGlory/
|| $txt =~ /\@Al_forqaan/){
	return 1;
}
return 0;
}


## Checks if a tweet is relevant to International Sports or not based on predefined query set
sub IsIntSports(){
my $txt = shift;
if($txt =~ /ريا+ل مدريد/
|| $txt =~ /برشلونه /
|| $txt =~ /البارسا /
|| $txt =~ / ميسى /
|| $txt =~ /رونالدو /
|| $txt =~ /مورينيو /
|| $txt =~ /جوارديولا /
|| $txt =~ /مارادونا /
|| $txt =~ /منتخب انجلترا /
|| $txt =~ /منتخب فرنسا /
|| $txt =~ /منتخب المانيا /
|| $txt =~ /منتخب اسبانيا /
|| $txt =~ /منتخب هولندا /
|| $txt =~ /منتخب البرازيل /
|| $txt =~ /منتخب الارجنتين /
|| $txt =~ /الدورى الاسبانى /
|| $txt =~ /الدورى الايطالى /
|| $txt =~ /الدورى الفرنسى /
|| $txt =~ /الدورى الانجليزى /
|| $txt =~ /الدورى الهولندى /
|| $txt =~ /الدوري الاميركي /
|| $txt =~ /كاس العالم /
|| $txt =~ /دورى ابطال اوروبا /
|| $txt =~ /كاس ملك اسبانيا /
|| $txt =~ /ابراهيموفيتش /
|| $txt =~ / اياكس /
|| $txt =~ /بنفيكا /
|| $txt =~ / بورتو /
|| $txt =~ /مسعود اوزيل /
|| $txt =~ / روني /
|| $txt =~ /مانشستر يونايتد /
|| $txt =~ /اليكس فيرغوسون /
|| $txt =~ /اليكس فيرجسون /
|| $txt =~ /السير اليكس /
|| $txt =~ /تشي*لسي /
|| $txt =~ /اليوفنتوس /
|| $txt =~ /انتر ميلان /
|| $txt =~ / نادال /
|| $txt =~ /توتنهام /
|| $txt =~ /اتليتكو /
|| $txt =~ /بايرن ميونيخ /
|| $txt =~ /بايرن ميونخ /
|| $txt =~ /دورتموند /
|| $txt =~ /سان *جي*رمان /
|| $txt =~ / بولت /
|| $txt =~ /مانشستر سيتى /
|| $txt =~ /ليفربول /
|| $txt =~ /فيدرر /
|| $txt =~ /ديوكوفيتش /
|| $txt =~ /المونديال /
|| $txt =~ / بلاتر /
|| $txt =~ /الفيفا /
|| $txt =~ /شاهد هدف /){
	return 1;
}
return 0;
}

## Checks if a tweet contains #Egypt
sub IsEgyptPolitics(){
my $txt = shift;
if($txt =~ /#مصر/){
	return 1;
}
return 0;
}

## Checks if a tweet contains #Syria
sub IsSyriaPolitics(){
my $txt = shift;
if($txt =~ /#سوريا/){
	return 1;
}

return 0;
}

## Checks if a tweet contains #Bahrain
sub IsIntSports(){
my $txt = shift;
if($txt =~ /#البحرين/){
	return 1;
}
return 0;
}


1;